/* $Id: coding.h 7013 2019-03-31 16:27:15Z flaterco $ */

/*  These functions deal with interface to Harmonic database.  */

/*****************************************************************************\

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

\*****************************************************************************/


#ifndef CODING_H
#define CODING_H

QString fromHarmonic (const char *from);
void toHarmonic (char *to, QString from, unsigned bufsize);
void toHarmonic (char *to, QLineEdit *from, unsigned bufsize);
void toHarmonic (char *to, QPlainTextEdit *from, unsigned bufsize);

#endif
